from django import forms
from django.contrib.auth.forms import UserCreationForm, UserChangeForm
from .models import Address, User

class AddressForm(forms.ModelForm):
    class Meta:
        model = Address
        fields = '__all__'


class AccountCreateForm(UserCreationForm):
    class Meta:
        model = User
        fields = ('username', 'email')

class AccountUpdateForm(UserChangeForm):
    class Meta:
        model = User
        fields = [
            'first_name',
            'last_name',
            'email',
        ]
